Package org.kapott.hbci.sepa.jaxb.pain_002_001_13

# Class OriginalTransactionReference35

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_13.OriginalTransactionReference35

public class OriginalTransactionReference35 extends Object

Java class for OriginalTransactionReference35 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OriginalTransactionReference35">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="IntrBkSttlmAmt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.13}ActiveOrHistoricCurrencyAndAmount" minOccurs="0"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.13}AmountType4Choice" minOccurs="0"/>
             <element name="IntrBkSttlmDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.13}ISODate" minOccurs="0"/>
             <element name="ReqdColltnDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.13}ISODate" minOccurs="0"/>
             <element name="ReqdExctnDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.13}DateAndDateTime2Choice" minOccurs="0"/>
             <element name="CdtrSchmeId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.13}PartyIdentification135" minOccurs="0"/>
             <element name="SttlmInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.13}SettlementInstruction11" minOccurs="0"/>
             <element name="PmtTpInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.13}PaymentTypeInformation27" minOccurs="0"/>
             <element name="PmtMtd" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.13}PaymentMethod4Code" minOccurs="0"/>
             <element name="MndtRltdInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.13}MandateRelatedData2Choice" minOccurs="0"/>
             <element name="RmtInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.13}RemittanceInformation21" minOccurs="0"/>
             <element name="UltmtDbtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.13}Party40Choice" minOccurs="0"/>
             <element name="Dbtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.13}Party40Choice" minOccurs="0"/>
             <element name="DbtrAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.13}CashAccount40" minOccurs="0"/>
             <element name="DbtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.13}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="DbtrAgtAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.13}CashAccount40" minOccurs="0"/>
             <element name="CdtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.13}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="CdtrAgtAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.13}CashAccount40" minOccurs="0"/>
             <element name="Cdtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.13}Party40Choice" minOccurs="0"/>
             <element name="CdtrAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.13}CashAccount40" minOccurs="0"/>
             <element name="UltmtCdtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.13}Party40Choice" minOccurs="0"/>
             <element name="Purp" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.13}Purpose2Choice" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected AmountType4Choice`
`amt`
`protected Party40Choice`
`cdtr`
`protected CashAccount40`
`cdtrAcct`
`protected BranchAndFinancialInstitutionIdentification6`
`cdtrAgt`
`protected CashAccount40`
`cdtrAgtAcct`
`protected PartyIdentification135`
`cdtrSchmeId`
`protected Party40Choice`
`dbtr`
`protected CashAccount40`
`dbtrAcct`
`protected BranchAndFinancialInstitutionIdentification6`
`dbtrAgt`
`protected CashAccount40`
`dbtrAgtAcct`
`protected ActiveOrHistoricCurrencyAndAmount`
`intrBkSttlmAmt`
`protected XMLGregorianCalendar`
`intrBkSttlmDt`
`protected MandateRelatedData2Choice`
`mndtRltdInf`
`protected PaymentMethod4Code`
`pmtMtd`
`protected PaymentTypeInformation27`
`pmtTpInf`
`protected Purpose2Choice`
`purp`
`protected XMLGregorianCalendar`
`reqdColltnDt`
`protected DateAndDateTime2Choice`
`reqdExctnDt`
`protected RemittanceInformation21`
`rmtInf`
`protected SettlementInstruction11`
`sttlmInf`
`protected Party40Choice`
`ultmtCdtr`
`protected Party40Choice`
`ultmtDbtr`

## Constructor Summary

Constructors
Constructor
Description
`OriginalTransactionReference35()`

## Method Summary

Modifier and Type
Method
Description
`AmountType4Choice`
`getAmt()`
Gets the value of the amt property.
`Party40Choice`
`getCdtr()`
Gets the value of the cdtr property.
`CashAccount40`
`getCdtrAcct()`
Gets the value of the cdtrAcct property.
`BranchAndFinancialInstitutionIdentification6`
`getCdtrAgt()`
Gets the value of the cdtrAgt property.
`CashAccount40`
`getCdtrAgtAcct()`
Gets the value of the cdtrAgtAcct property.
`PartyIdentification135`
`getCdtrSchmeId()`
Gets the value of the cdtrSchmeId property.
`Party40Choice`
`getDbtr()`
Gets the value of the dbtr property.
`CashAccount40`
`getDbtrAcct()`
Gets the value of the dbtrAcct property.
`BranchAndFinancialInstitutionIdentification6`
`getDbtrAgt()`
Gets the value of the dbtrAgt property.
`CashAccount40`
`getDbtrAgtAcct()`
Gets the value of the dbtrAgtAcct property.
`ActiveOrHistoricCurrencyAndAmount`
`getIntrBkSttlmAmt()`
Gets the value of the intrBkSttlmAmt property.
`XMLGregorianCalendar`
`getIntrBkSttlmDt()`
Gets the value of the intrBkSttlmDt property.
`MandateRelatedData2Choice`
`getMndtRltdInf()`
Gets the value of the mndtRltdInf property.
`PaymentMethod4Code`
`getPmtMtd()`
Gets the value of the pmtMtd property.
`PaymentTypeInformation27`
`getPmtTpInf()`
Gets the value of the pmtTpInf property.
`Purpose2Choice`
`getPurp()`
Gets the value of the purp property.
`XMLGregorianCalendar`
`getReqdColltnDt()`
Gets the value of the reqdColltnDt property.
`DateAndDateTime2Choice`
`getReqdExctnDt()`
Gets the value of the reqdExctnDt property.
`RemittanceInformation21`
`getRmtInf()`
Gets the value of the rmtInf property.
`SettlementInstruction11`
`getSttlmInf()`
Gets the value of the sttlmInf property.
`Party40Choice`
`getUltmtCdtr()`
Gets the value of the ultmtCdtr property.
`Party40Choice`
`getUltmtDbtr()`
Gets the value of the ultmtDbtr property.
`void`
`setAmt(AmountType4Choice value)`
Sets the value of the amt property.
`void`
`setCdtr(Party40Choice value)`
Sets the value of the cdtr property.
`void`
`setCdtrAcct(CashAccount40 value)`
Sets the value of the cdtrAcct property.
`void`
`setCdtrAgt(BranchAndFinancialInstitutionIdentification6 value)`
Sets the value of the cdtrAgt property.
`void`
`setCdtrAgtAcct(CashAccount40 value)`
Sets the value of the cdtrAgtAcct property.
`void`
`setCdtrSchmeId(PartyIdentification135 value)`
Sets the value of the cdtrSchmeId property.
`void`
`setDbtr(Party40Choice value)`
Sets the value of the dbtr property.
`void`
`setDbtrAcct(CashAccount40 value)`
Sets the value of the dbtrAcct property.
`void`
`setDbtrAgt(BranchAndFinancialInstitutionIdentification6 value)`
Sets the value of the dbtrAgt property.
`void`
`setDbtrAgtAcct(CashAccount40 value)`
Sets the value of the dbtrAgtAcct property.
`void`
`setIntrBkSttlmAmt(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the intrBkSttlmAmt property.
`void`
`setIntrBkSttlmDt(XMLGregorianCalendar value)`
Sets the value of the intrBkSttlmDt property.
`void`
`setMndtRltdInf(MandateRelatedData2Choice value)`
Sets the value of the mndtRltdInf property.
`void`
`setPmtMtd(PaymentMethod4Code value)`
Sets the value of the pmtMtd property.
`void`
`setPmtTpInf(PaymentTypeInformation27 value)`
Sets the value of the pmtTpInf property.
`void`
`setPurp(Purpose2Choice value)`
Sets the value of the purp property.
`void`
`setReqdColltnDt(XMLGregorianCalendar value)`
Sets the value of the reqdColltnDt property.
`void`
`setReqdExctnDt(DateAndDateTime2Choice value)`
Sets the value of the reqdExctnDt property.
`void`
`setRmtInf(RemittanceInformation21 value)`
Sets the value of the rmtInf property.
`void`
`setSttlmInf(SettlementInstruction11 value)`
Sets the value of the sttlmInf property.
`void`
`setUltmtCdtr(Party40Choice value)`
Sets the value of the ultmtCdtr property.
`void`
`setUltmtDbtr(Party40Choice value)`
Sets the value of the ultmtDbtr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### intrBkSttlmAmt

protected ActiveOrHistoricCurrencyAndAmount intrBkSttlmAmt

### amt

protected AmountType4Choice amt

### intrBkSttlmDt

protected XMLGregorianCalendar intrBkSttlmDt

### reqdColltnDt

protected XMLGregorianCalendar reqdColltnDt

### reqdExctnDt

protected DateAndDateTime2Choice reqdExctnDt

### cdtrSchmeId

protected PartyIdentification135 cdtrSchmeId

### sttlmInf

protected SettlementInstruction11 sttlmInf

### pmtTpInf

protected PaymentTypeInformation27 pmtTpInf

### pmtMtd

protected PaymentMethod4Code pmtMtd

### mndtRltdInf

protected MandateRelatedData2Choice mndtRltdInf

### rmtInf

protected RemittanceInformation21 rmtInf

### ultmtDbtr

protected Party40Choice ultmtDbtr

### dbtr

protected Party40Choice dbtr

### dbtrAcct

protected CashAccount40 dbtrAcct

### dbtrAgt

protected BranchAndFinancialInstitutionIdentification6 dbtrAgt

### dbtrAgtAcct

protected CashAccount40 dbtrAgtAcct

### cdtrAgt

protected BranchAndFinancialInstitutionIdentification6 cdtrAgt

### cdtrAgtAcct

protected CashAccount40 cdtrAgtAcct

### cdtr

protected Party40Choice cdtr

### cdtrAcct

protected CashAccount40 cdtrAcct

### ultmtCdtr

protected Party40Choice ultmtCdtr

### purp

protected Purpose2Choice purp

## Constructor Details

### OriginalTransactionReference35

public OriginalTransactionReference35()

## Method Details

### getIntrBkSttlmAmt

public ActiveOrHistoricCurrencyAndAmount getIntrBkSttlmAmt()
Gets the value of the intrBkSttlmAmt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setIntrBkSttlmAmt

public void setIntrBkSttlmAmt(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the intrBkSttlmAmt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

### getAmt

public AmountType4Choice getAmt()
Gets the value of the amt property.

Returns:
  possible object is `AmountType4Choice`

### setAmt

public void setAmt(AmountType4Choice value)
Sets the value of the amt property.

Parameters:
  `value` - allowed object is `AmountType4Choice`

### getIntrBkSttlmDt

public XMLGregorianCalendar getIntrBkSttlmDt()
Gets the value of the intrBkSttlmDt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setIntrBkSttlmDt

public void setIntrBkSttlmDt(XMLGregorianCalendar value)
Sets the value of the intrBkSttlmDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getReqdColltnDt

public XMLGregorianCalendar getReqdColltnDt()
Gets the value of the reqdColltnDt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setReqdColltnDt

public void setReqdColltnDt(XMLGregorianCalendar value)
Sets the value of the reqdColltnDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getReqdExctnDt

public DateAndDateTime2Choice getReqdExctnDt()
Gets the value of the reqdExctnDt property.

Returns:
  possible object is `DateAndDateTime2Choice`

### setReqdExctnDt

public void setReqdExctnDt(DateAndDateTime2Choice value)
Sets the value of the reqdExctnDt property.

Parameters:
  `value` - allowed object is `DateAndDateTime2Choice`

### getCdtrSchmeId

public PartyIdentification135 getCdtrSchmeId()
Gets the value of the cdtrSchmeId property.

Returns:
  possible object is `PartyIdentification135`

### setCdtrSchmeId

public void setCdtrSchmeId(PartyIdentification135 value)
Sets the value of the cdtrSchmeId property.

Parameters:
  `value` - allowed object is `PartyIdentification135`

### getSttlmInf

public SettlementInstruction11 getSttlmInf()
Gets the value of the sttlmInf property.

Returns:
  possible object is `SettlementInstruction11`

### setSttlmInf

public void setSttlmInf(SettlementInstruction11 value)
Sets the value of the sttlmInf property.

Parameters:
  `value` - allowed object is `SettlementInstruction11`

### getPmtTpInf

public PaymentTypeInformation27 getPmtTpInf()
Gets the value of the pmtTpInf property.

Returns:
  possible object is `PaymentTypeInformation27`

### setPmtTpInf

public void setPmtTpInf(PaymentTypeInformation27 value)
Sets the value of the pmtTpInf property.

Parameters:
  `value` - allowed object is `PaymentTypeInformation27`

### getPmtMtd

public PaymentMethod4Code getPmtMtd()
Gets the value of the pmtMtd property.

Returns:
  possible object is `PaymentMethod4Code`

### setPmtMtd

public void setPmtMtd(PaymentMethod4Code value)
Sets the value of the pmtMtd property.

Parameters:
  `value` - allowed object is `PaymentMethod4Code`

### getMndtRltdInf

public MandateRelatedData2Choice getMndtRltdInf()
Gets the value of the mndtRltdInf property.

Returns:
  possible object is `MandateRelatedData2Choice`

### setMndtRltdInf

public void setMndtRltdInf(MandateRelatedData2Choice value)
Sets the value of the mndtRltdInf property.

Parameters:
  `value` - allowed object is `MandateRelatedData2Choice`

### getRmtInf

public RemittanceInformation21 getRmtInf()
Gets the value of the rmtInf property.

Returns:
  possible object is `RemittanceInformation21`

### setRmtInf

public void setRmtInf(RemittanceInformation21 value)
Sets the value of the rmtInf property.

Parameters:
  `value` - allowed object is `RemittanceInformation21`

### getUltmtDbtr

public Party40Choice getUltmtDbtr()
Gets the value of the ultmtDbtr property.

Returns:
  possible object is `Party40Choice`

### setUltmtDbtr

public void setUltmtDbtr(Party40Choice value)
Sets the value of the ultmtDbtr property.

Parameters:
  `value` - allowed object is `Party40Choice`

### getDbtr

public Party40Choice getDbtr()
Gets the value of the dbtr property.

Returns:
  possible object is `Party40Choice`

### setDbtr

public void setDbtr(Party40Choice value)
Sets the value of the dbtr property.

Parameters:
  `value` - allowed object is `Party40Choice`

### getDbtrAcct

public CashAccount40 getDbtrAcct()
Gets the value of the dbtrAcct property.

Returns:
  possible object is `CashAccount40`

### setDbtrAcct

public void setDbtrAcct(CashAccount40 value)
Sets the value of the dbtrAcct property.

Parameters:
  `value` - allowed object is `CashAccount40`

### getDbtrAgt

public BranchAndFinancialInstitutionIdentification6 getDbtrAgt()
Gets the value of the dbtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

### setDbtrAgt

public void setDbtrAgt(BranchAndFinancialInstitutionIdentification6 value)
Sets the value of the dbtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

### getDbtrAgtAcct

public CashAccount40 getDbtrAgtAcct()
Gets the value of the dbtrAgtAcct property.

Returns:
  possible object is `CashAccount40`

### setDbtrAgtAcct

public void setDbtrAgtAcct(CashAccount40 value)
Sets the value of the dbtrAgtAcct property.

Parameters:
  `value` - allowed object is `CashAccount40`

### getCdtrAgt

public BranchAndFinancialInstitutionIdentification6 getCdtrAgt()
Gets the value of the cdtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

### setCdtrAgt

public void setCdtrAgt(BranchAndFinancialInstitutionIdentification6 value)
Sets the value of the cdtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

### getCdtrAgtAcct

public CashAccount40 getCdtrAgtAcct()
Gets the value of the cdtrAgtAcct property.

Returns:
  possible object is `CashAccount40`

### setCdtrAgtAcct

public void setCdtrAgtAcct(CashAccount40 value)
Sets the value of the cdtrAgtAcct property.

Parameters:
  `value` - allowed object is `CashAccount40`

### getCdtr

public Party40Choice getCdtr()
Gets the value of the cdtr property.

Returns:
  possible object is `Party40Choice`

### setCdtr

public void setCdtr(Party40Choice value)
Sets the value of the cdtr property.

Parameters:
  `value` - allowed object is `Party40Choice`

### getCdtrAcct

public CashAccount40 getCdtrAcct()
Gets the value of the cdtrAcct property.

Returns:
  possible object is `CashAccount40`

### setCdtrAcct

public void setCdtrAcct(CashAccount40 value)
Sets the value of the cdtrAcct property.

Parameters:
  `value` - allowed object is `CashAccount40`

### getUltmtCdtr

public Party40Choice getUltmtCdtr()
Gets the value of the ultmtCdtr property.

Returns:
  possible object is `Party40Choice`

### setUltmtCdtr

public void setUltmtCdtr(Party40Choice value)
Sets the value of the ultmtCdtr property.

Parameters:
  `value` - allowed object is `Party40Choice`

### getPurp

public Purpose2Choice getPurp()
Gets the value of the purp property.

Returns:
  possible object is `Purpose2Choice`

### setPurp

public void setPurp(Purpose2Choice value)
Sets the value of the purp property.

Parameters:
  `value` - allowed object is `Purpose2Choice`